<template>
	<main class="mt-36">
		<h2 class="contents-title">Alert</h2>
		<div class="alert">Alert default</div>
		<div
			v-for="(colors, index) in palletes"
			:key="index"
			:class="'alert--' + colors.color"
		>
			Alert {{ colors.color }}
		</div>
		<Code :codeText="alert" />
		<hr />
		<h2 class="contents-title">Alert Box</h2>
		<div>
			<button @click="toggleA" class="btn--primary">Alert 1</button>
			<button @click="toggleB" class="btn--primary">Alert 2</button>

			<div :class="showModalA ? 'modal-overlay' : 'invisible'">
				<div class="modal-a">
					<div class="flex f-space-between">
						<h4>Lorem Ipsum!!!</h4>
						<div class="bzi-close close" @click="toggleA"></div>
					</div>
					<p>
						Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
						eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
						ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
						aliquip ex ea commodo consequat. Duis aute irure dolor in
						reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
						pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
						culpa qui officia deserunt mollit anim id est laborum.
					</p>
					<hr class="hr-alert-1" />
					<p>
						Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam qui
						obcaecati tempora. Quod, nesciunt culpa sunt sit itaque voluptate
						molestiae in quia quos quam tempora sequi illo molestias? Rerum,
						sit?
					</p>
				</div>
			</div>

			<div :class="showModalB ? 'modal-overlay' : 'invisible'">
				<div class="modal-b">
					<div class="flex f-space-between">
						<h4>Number 2</h4>
						<div class="bzi-close close" @click="toggleB"></div>
					</div>
					<p>Test Number 2</p>
				</div>
			</div>
		</div>
		<Code :codeText="alertBox" />
		<ContentFooter />
	</main>
</template>

<script>
const dataPalletes = [
	{
		color: 'primary'
	},
	{
		color: 'secondary'
	},
	{
		color: 'warning'
	},
	{
		color: 'danger'
	},
	{
		color: 'black'
	},
	{
		color: 'light-grey'
	},
	{
		color: 'white'
	}
]

export default {
	data() {
		return {
			palletes: dataPalletes,
			alert: `<div class="alert">Alert default</div>
<div class="alert--primary">Alert primary</div>
<div class="alert--secondary">Alert secondary</div>
<div class="alert--warning">Alert warning</div>
<div class="alert--danger">Alert danger</div>
<div class="alert--black">Alert black</div>
<div class="alert--light-grey">Alert light-grey</div>
<div class="alert--white">Alert white</div>`,
			alertBox: `<button class="btn--primary js-trigger-alert" data-alert="#alert1">Alert 1</button>
<button class="btn--primary js-trigger-alert" data-alert="#alert2">Alert 2</button>

<div class="alert--popup" id="alert1">
    <div class="alert--primary alert--popup-content" >
        <span class="alert--close js-alert-close"><i class="fas fa-times"></i></span> <h4>Lorem Ipsum!</h4>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
        tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
        consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
        cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
        proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
        <hr>
        <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veniam qui obcaecati tempora.
        Quod, nesciunt culpa sunt sit itaque voluptate molestiae in quia quos quam tempora sequi illo molestias? Rerum, sit?</p>
    </div>
</div>

<div class="alert--popup" id="alert2">
    <div class="alert--danger alert--popup-content" >
        <span class="alert--close js-alert-close"><i class="fas fa-times"></i></span> <h4>Number 2</h4>
        <p>Test Number 2</p>
    </div>
</div>`,
			showModalA: false,
			showModalB: false
		}
	},
	methods: {
		toggleA() {
			this.showModalA = !this.showModalA
		},
		toggleB() {
			this.showModalB = !this.showModalB
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
